package com.zj365.health.act

import android.text.Html
import com.alibaba.android.arouter.facade.annotation.Route
import com.xty.base.act.IBaseAct
import com.xty.common.arouter.ARouterUrl
import com.zj365.health.databinding.ActWarringContentBinding
import com.xty.network.model.WarringBean

/**
 * 预警详情
 */
@Route(path = ARouterUrl.WARRING_CONTENT)
class WarringContentAct : IBaseAct() {
    val binding by lazy{ActWarringContentBinding.inflate(layoutInflater)}
    override fun setLayout()=binding.root
    override fun initData() {
        super.initData()
        isDarkBar=true

        intent.extras?.let {
            var bean=it.getSerializable("bean") as WarringBean.Disease
            binding.title.mTvTitle.text=bean.type
            binding.mContent.text= Html.fromHtml(bean.content)
        }
    }

    override fun initView() {
        super.initView()
        statusBar(binding.title.mView)
        binding.title.mIvBack.setOnClickListener { finish() }
    }
}